/bunnycdn-account | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
bunnycdn_account_api_key_public_get_api_keys_by_account_endpoint | List API Keys |
bunnycdn_account_billing_summary_public_get_billing_summary_pdf | Get Billing Summary Document |
bunnycdn_account_close_account_endpoint_close_account | Close the account |
bunnycdn_account_download_payment_request_invoice_pdf_endpoint_download_payment_request_invoice_pdf | Download Payment Request Invoice PDF |
bunnycdn_account_get_affiliate_details_endpoint_affiliate_details | Get affiliate details |
bunnycdn_account_get_billing_details_endpoint_get_billing_details | Get Billing Details |
bunnycdn_account_get_billing_summary_endpoint_get_summary_endpoint | Get Billing Summary |
bunnycdn_account_get_payment_requests_endpoint_get_payment_requests | Get Pending Payment Requests |
bunnycdn_account_get_user_audit_log_endpoint_get_user_audit_log | GET /user/audit/{date} |
bunnycdn_account_search_public_global_search_endpoint | Global Search |
bunnycdn_account_statistics_public_get_statistics | Get Statistics |
bunnycdn_account_api_key_public_get_api_keys_by_account_endpoint
List API Keys Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number for pagination |
perPage | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"perPage": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
bunnycdn_account_billing_summary_public_get_billing_summary_pdf
Get Billing Summary Document Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
billingRecordId | integer | Yes | — | Billing Record Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"billingRecordId": {
"type": "integer",
"description": "Billing Record Id"
}
},
"required": [
"PCID",
"billingRecordId"
]
}
bunnycdn_account_close_account_endpoint_close_account
Close the account Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
Password | string | null | No | — | The password value |
Reason | string | null | No | — | The reason value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Password": {
"type": [
"string",
"null"
],
"description": "The password value"
},
"Reason": {
"type": [
"string",
"null"
],
"description": "The reason value"
}
},
"required": [
"PCID"
]
}
bunnycdn_account_download_payment_request_invoice_pdf_endpoint_download_payment_request_invoice_pdf
Download Payment Request Invoice PDF Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
bunnycdn_account_get_affiliate_details_endpoint_affiliate_details
Get affiliate detailsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
bunnycdn_account_get_billing_details_endpoint_get_billing_details
Get Billing DetailsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
bunnycdn_account_get_billing_summary_endpoint_get_summary_endpoint
Get Billing SummaryShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
bunnycdn_account_get_payment_requests_endpoint_get_payment_requests
Get Pending Payment RequestsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
bunnycdn_account_get_user_audit_log_endpoint_get_user_audit_log
GET /user/audit/{date} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
date | string | Yes | — | The date value |
Product | string[] | No | — | The product value |
ResourceType | string[] | No | — | Resource Type |
ResourceId | string[] | No | — | Resource Id |
ActorId | string[] | No | — | Actor Id |
Order | string | No | — | The order value |
ContinuationToken | string | No | — | Continuation Token |
Limit | integer | No | — | Maximum number of results to return |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"date": {
"type": "string",
"description": "The date value"
},
"Product": {
"type": "array",
"items": {
"type": "string"
},
"description": "The product value"
},
"ResourceType": {
"type": "array",
"items": {
"type": "string"
},
"description": "Resource Type"
},
"ResourceId": {
"type": "array",
"items": {
"type": "string"
},
"description": "Resource Id"
},
"ActorId": {
"type": "array",
"items": {
"type": "string"
},
"description": "Actor Id"
},
"Order": {
"type": "string",
"description": "The order value",
"enum": [
"Ascending",
"Descending"
]
},
"ContinuationToken": {
"type": "string",
"description": "Continuation Token"
},
"Limit": {
"type": "integer",
"description": "Maximum number of results to return"
}
},
"required": [
"PCID",
"date"
]
}
bunnycdn_account_search_public_global_search_endpoint
Global Search Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
search | string | No | — | The search value |
from | integer | No | — | The from value |
size | integer | No | — | The size value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"search": {
"type": "string",
"description": "The search value"
},
"from": {
"type": "integer",
"description": "The from value"
},
"size": {
"type": "integer",
"description": "The size value"
}
},
"required": [
"PCID"
]
}
bunnycdn_account_statistics_public_get_statistics
Get Statistics Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dateFrom | string | No | — | (Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned. |
dateTo | string | No | — | (Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned. |
pullZone | integer | No | — | (Optional) If set, the statistics will be only returned for the given Pull Zone |
serverZoneId | integer | No | — | (Optional) If set, the statistics will be only returned for the given region ID |
loadErrors | boolean | No | — | (Optional) If set, the respose will contain the non-2xx response |
hourly | boolean | No | — | (Optional) If true, the statistics data will be returned in hourly groupping. |
exactRange | boolean | No | — | (Optional) If true and hourly=true, the exact hour components of dateFrom and dateTo will be preserved instead of rounding to full-day boundaries. |
loadOriginResponseTimes | boolean | No | — | Load Origin Response Times |
loadOriginTraffic | boolean | No | — | Load Origin Traffic |
loadRequestsServed | boolean | No | — | Load Requests Served |
loadBandwidthUsed | boolean | No | — | Load Bandwidth Used |
loadOriginShieldBandwidth | boolean | No | — | Load Origin Shield Bandwidth |
loadGeographicTrafficDistribution | boolean | No | — | Load Geographic Traffic Distribution |
loadUserBalanceHistory | boolean | No | — | Load User Balance History |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"dateFrom": {
"type": "string",
"description": "(Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned."
},
"dateTo": {
"type": "string",
"description": "(Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned."
},
"pullZone": {
"type": "integer",
"description": "(Optional) If set, the statistics will be only returned for the given Pull Zone"
},
"serverZoneId": {
"type": "integer",
"description": "(Optional) If set, the statistics will be only returned for the given region ID"
},
"loadErrors": {
"type": "boolean",
"description": "(Optional) If set, the respose will contain the non-2xx response"
},
"hourly": {
"type": "boolean",
"description": "(Optional) If true, the statistics data will be returned in hourly groupping."
},
"exactRange": {
"type": "boolean",
"description": "(Optional) If true and hourly=true, the exact hour components of dateFrom and dateTo will be preserved instead of rounding to full-day boundaries."
},
"loadOriginResponseTimes": {
"type": "boolean",
"description": "Load Origin Response Times"
},
"loadOriginTraffic": {
"type": "boolean",
"description": "Load Origin Traffic"
},
"loadRequestsServed": {
"type": "boolean",
"description": "Load Requests Served"
},
"loadBandwidthUsed": {
"type": "boolean",
"description": "Load Bandwidth Used"
},
"loadOriginShieldBandwidth": {
"type": "boolean",
"description": "Load Origin Shield Bandwidth"
},
"loadGeographicTrafficDistribution": {
"type": "boolean",
"description": "Load Geographic Traffic Distribution"
},
"loadUserBalanceHistory": {
"type": "boolean",
"description": "Load User Balance History"
}
},
"required": [
"PCID"
]
}

